<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.pms.mapper.distribution.PwRMpMonitorAlarmCountMMapper">

    <resultMap id="BaseResultMap" type="com.njcn.device.pms.pojo.po.RMpMonitorAlarmCountM">
            <id property="orgNo" column="org_no" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <id property="dataType" column="data_type" jdbcType="INTEGER"/>
            <result property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
            <result property="vdevAlarmInfo" column="vdev_alarm_info" jdbcType="INTEGER"/>
            <result property="vdevSeverity" column="vdev_severity" jdbcType="INTEGER"/>
            <result property="freqAlarmInfo" column="freq_alarm_info" jdbcType="INTEGER"/>
            <result property="freqSeverity" column="freq_severity" jdbcType="INTEGER"/>
            <result property="unbalanceAlarmInfo" column="unbalance_alarm_info" jdbcType="INTEGER"/>
            <result property="unbalanceSeverity" column="unbalance_severity" jdbcType="INTEGER"/>
            <result property="vAlarmInfo" column="v_alarm_info" jdbcType="INTEGER"/>
            <result property="vSeverity" column="v_severity" jdbcType="INTEGER"/>
            <result property="flickerAlarmInfo" column="flicker_alarm_info" jdbcType="INTEGER"/>
            <result property="flickerSeverity" column="flicker_severity" jdbcType="INTEGER"/>
            <result property="sagAlarmInfo" column="sag_alarm_info" jdbcType="INTEGER"/>
            <result property="sagSeverity" column="sag_severity" jdbcType="INTEGER"/>
            <result property="interruptAlarmInfo" column="interrupt_alarm_info" jdbcType="INTEGER"/>
            <result property="interruptSeverity" column="interrupt_severity" jdbcType="INTEGER"/>
            <result property="harmonicTypeGrade" column="harmonic_type_grade" jdbcType="INTEGER"/>
            <result property="eventTypeGrade" column="event_type_grade" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        org_no,data_date,data_type,
        measurement_point_id,vdev_alarm_info,vdev_severity,
        freq_alarm_info,freq_severity,unbalance_alarm_info,
        unbalance_severity,v_alarm_info,v_severity,
        flicker_alarm_info,flicker_severity,sag_alarm_info,
        sag_severity,interrupt_alarm_info,interrupt_severity,
        harmonic_type_grade,event_type_grade
    </sql>
</mapper>
